openSUSE 安全性更新:freerdp (openSUSE-2019-2608)

high Nessus Plugin ID 131544

語系:

新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 openSUSE 主機缺少安全性更新。

描述

此 freerdp 更新修正了下列問題:- CVE-2019-17177:已修正 libfreerdp/codec/region.c 中的多個記憶體洩漏問題 (bsc#1153163)。- CVE-2019-17178:已修正 HuffmanTree_makeFromFrequencies 中的一個記憶體洩漏問題 (bsc#1153164)。此更新是從 SUSE:SLE-15-SP1:Update 更新專案匯入。

解決方案

更新受影響的 freerdp 套件。

另請參閱

https://bugzilla.opensuse.org/show_bug.cgi?id=1153163

https://bugzilla.opensuse.org/show_bug.cgi?id=1153164

Plugin 詳細資訊

嚴重性: High

ID: 131544

檔案名稱: openSUSE-2019-2608.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2019/12/3

已更新: 2019/12/9

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Low

分數: 3.6

CVSS v2

風險因素: Medium

基本分數: 5

時間分數: 3.7

媒介: AV:N/AC:L/Au:N/C:N/I:N/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 7.5

時間分數: 6.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:novell:opensuse:freerdp, p-cpe:/a:novell:opensuse:freerdp-debuginfo, p-cpe:/a:novell:opensuse:freerdp-debugsource, p-cpe:/a:novell:opensuse:freerdp-devel, p-cpe:/a:novell:opensuse:freerdp-server, p-cpe:/a:novell:opensuse:freerdp-server-debuginfo, p-cpe:/a:novell:opensuse:freerdp-wayland, p-cpe:/a:novell:opensuse:freerdp-wayland-debuginfo, p-cpe:/a:novell:opensuse:libfreerdp2, p-cpe:/a:novell:opensuse:libfreerdp2-debuginfo, p-cpe:/a:novell:opensuse:libuwac0-0, p-cpe:/a:novell:opensuse:libuwac0-0-debuginfo, p-cpe:/a:novell:opensuse:libwinpr2, p-cpe:/a:novell:opensuse:libwinpr2-debuginfo, p-cpe:/a:novell:opensuse:uwac0-0-devel, p-cpe:/a:novell:opensuse:winpr2-devel, cpe:/o:novell:opensuse:15.1

必要的 KB 項目: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2019/12/1

弱點發布日期: 2019/10/4

參考資訊

CVE: CVE-2019-17177, CVE-2019-17178